<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="ac4PP" label="Déclaration de cessation d'activité d'un agent commercial" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
    <default>
        <data type="String" mandatory="true"/>
    </default>
	
	<group id="cadre1Identite" label="Rappel d'identification">
	<warning>Déclaration de cessation d'activité d'un agent commercial</warning>
		<group id="cadre1RappelIdentification" label="Rappel d'identification">
			<help>Il convient d'indiquer ici les informations telles qu'elles apparaissent sur votre extrait d'immatriculation au RSAC.</help>
			<data id="personneLieePersonnePhysiqueNomNaissance" label="Nom de naissance :" type="String(max:100,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,100}$&quot;)">
				<help>Il s'agit du nom qui a été donné à la naissance tel qu'il apparaît sur le justificatif d'identité.</help>
			</data>
			<data id="personneLieePersonnePhysiqueNomUsage" label="Nom d'usage :" type="String(max:100,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,100}$&quot;)" mandatory="false">
				<help>Il s'agit généralement du nom marital et il peut s'agir également du nom d'un des parents. Ce dernier doit figurer sur le justificatif d'identité.</help>
			</data>
			<data id="personneLieePersonnePhysiquePrenom1[]" label="Prénom(s) :" max-occurs="4" type="String(max:20,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,20}$&quot;)">
				<help>Il s'agit de l'ensemble des prénoms figurant sur le justificatif d'identité. L'ordre indiqué sur le justificatif d'identité doit être respecté.</help>
			</data>
			<data id="personneLieePersonnePhysiqueDateNaissance" label="Date de naissance :" type="DateBirthDay(minAge:16)" mandatory="true">
			</data>
			<data id="personneLieePersonnePhysiqueLieuNaissancePays" label="Pays de naissance :" type="ComboBoxSelectExternal" mandatory="true">
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/countries?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="personneLieePersonnePhysiqueLieuNaissanceDepartement" label="Département de naissance :" type="ComboBoxSelectExternal" mandatory="true" trigger="navigation.refresh('_page.cadre1RappelIdentification.personneLieePersonnePhysiqueLieuNaissanceCommune')">
				<if>Value('id').of($cadre1RappelIdentification.personneLieePersonnePhysiqueLieuNaissancePays).eq('FRXXXXX')</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/departments?maxResults=999&amp;orders=label:asc</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="personneLieePersonnePhysiqueLieuNaissanceCommune" label="Commune de naissance :" type="ComboBoxSelectExternal" mandatory="true">
				<if>Value('id').of($cadre1RappelIdentification.personneLieePersonnePhysiqueLieuNaissancePays).eq('FRXXXXX')</if>
				<conftype>
					<referential>
						<external>
							<url>${application.public.url}/api/directory/v2/ref/list/communes?maxResults=999&amp;orders=label:asc&amp;filters=details.ch_departement:{{_group.personneLieePersonnePhysiqueLieuNaissanceDepartement.id}}</url>
							<base>content</base>
							<id>{{entityId}}</id>
							<label>{{{label}}}</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="personneLieePersonnePhysiqueLieuNaissanceVille" label="Ville de naissance :" type="String(max:32,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" mandatory="true">
				<help>Il s'agit d'indiquer en toutes lettres la localité de naissance.</help>
				<if>not Value('id').of($cadre1RappelIdentification.personneLieePersonnePhysiqueLieuNaissancePays).eq('FRXXXXX')</if>
			</data>
			<data id="siren" label="Numéro unique d'identification :" type="SIREN">
				<help>Il s'agit de votre numéro SIREN.</help>
            </data>
		</group>
	</group>
	<group id="cadre2AdresseEtablissementGroup" label="Adresse professionnelle">
		<group id="cadreAdresseEtablissement" label="Informations relatives à l'adresse professionnelle :">
			<group id="adresseEtablissementPrincipal" label="Adresse professionnelle :">
				<data id="etablissementAdresseNumeroVoie" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false">
				</data>
				<data id="etablissementAdresseIndiceVoie" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false"/>
				<data id="etablissementAdresseTypeVoie" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false"/>
				<data id="etablissementAdresseNomVoie" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)">
				</data>
				<data id="etablissementAdresseComplementVoie" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="etablissementAdresseDistriutionSpecialeVoie" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="etablissementAdresseCodePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" trigger="navigation.refresh('_page.cadreAdresseEtablissement.adresseEtablissementPrincipal.etablissementAdresseCommune')">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="etablissementAdresseCommune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.etablissementAdresseCodePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
				<data id="etablissementAdresseCommuneAncienne" label="Le cas échéant, en cas de fusion de communes, indiquez l'ancienne commune :" type="String(max:32,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,32}$&quot;)" mandatory="false">
                    <help>Cela permet notamment de pouvoir distinguer l'adresse de l'établissement en cas de voies homonymes au sein de la commune nouvelle.</help>
                </data>
			</group>	
		</group>
	</group>
	<group id="cadre3InformationsGroup" label="Informations relatives à la cessation d'activité">
		<group id="cadre3Informations" label="Informations relatives à la cessation d'activité">
			<data id="dateCessation" label="A quelle date a lieu la cessation d'activité ?" type="date"/>
			<data id="presenceSalaries" label="Y-a-il des salariés au moment de la radiation ?" type="Boolean"/>
			<data id="dateCessationEmploiSalarie" label="En cas de cessation d'emploi de tout salarié, indiquez la date :" type="date">
				<if>$cadre3Informations.presenceSalaries</if>
			</data>	
			<data id="estEIRLOuiNon" label="Avez-vous effectué une déclaration d'affectation du patrimoine (option EIRL) ?" type="Boolean"/>
			<group id="cadreAffectationPatrimoine" label="Informations relatives à l'affectation de patrimoine">
				<if>$cadre3Informations.estEIRLOuiNon</if>
				<group id="cadreRappelIdentificationEIRL" label="Rappel d'identification relatif à l'EIRL">
					<data id="eirlRappelDenomination" label="Dénomination de l'EIRL :" type="String(max:120)"/>
					<data id="eirlAdresse" label="L'adresse de votre EIRL se situe :" type="Radios(inline:false)">
						<conftype>
							<referential>
								<text id="eirlAdresseEntreprise" >A l'adresse de l'entreprise (établissement principal)</text>
								<text id="eirlAdresseAutre" >A une autre adresse</text>
							</referential>
						</conftype>
					</data>
					<group id="cadreEirlRappelAdresse" label="Adresse de l'EIRL">
						<if>Value('id').of($cadre3Informations.cadreAffectationPatrimoine.cadreRappelIdentificationEIRL.eirlAdresse).eq('eirlAdresseAutre')</if>
						<data id="adresseNumeroVoieEIRL" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false">
						</data>
						<data id="adresseIndiceVoieEIRL" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false"/>
						<data id="adresseTypeVoieEIRL" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false"/>
						<data id="adresseNomVoieEIRL" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)">
						</data>
						<data id="adresseComplementVoieEIRL" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
							<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
						</data>
						<data id="adresseDistriutionSpecialeVoieEIRL" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
							<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
						</data>
						<data id="adresseCodePostalEIRL" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" trigger="navigation.refresh('_page.cadre3Informations.cadreAffectationPatrimoine.cadreRappelIdentificationEIRL.cadreEirlRappelAdresse.adresseCommuneEIRL')">
							<help>Il convient d'indiquer ici le code postal de la localité.</help>
						</data>
						<data id="adresseCommuneEIRL" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
							<conftype>
								<referential>
									<external>
										<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.adresseCodePostalEIRL}}</url>
										<base>content</base>
										<id>{{entityId}}</id>
										<label>{{{label}}}</label>
									</external>
								</referential>
							</conftype>
						</data>
					</group>
					<data id="eirlRappelLieuImmatriculation" label="Lieu du registre de dépôt :" type="String(max:35,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,35}$&quot;)"/>
				</group>
				<group id="finEIRLDeclaration" label="Informations relatives à la fin de l'EIRL">
                    <data id="motifFinEIRL" label="La fin de l'affectation de patrimoine fait suite à une :" type="Radios(inline:false)">
                        <conftype>
                            <referential>
								<text id="FinEIRLRenonciationSansPoursuite">Renonciation définitive à l'affectation de patrimoine sans poursuite de l'activité</text>
								<text id="FinEIRLCessionPP">Cession ou transmission à une personne physique</text>
								<text id="FinEIRLCessionPM">Cession ou apport à une personne morale</text>
                            </referential>
                        </conftype>
                    </data>
                </group>
            </group>
		</group> 
	</group>
   	<group id="cadre8RensCompGroup" label="Renseignements complémentaires">
		<group id="cadre8RensComp" label="Renseignements complémentaires">	
			<data id="formaliteObservations" label="Observations :" type="String(max:150)" mandatory="false"/>
			<data id="adresseCorrespond" label="Adresse de correspondance :" type="radios(inline:false)">
				<conftype>
					<referential>
						<text id="prof">Adresse professionnelle</text>
						<text id="autre" >Autre adresse</text>
					</referential>
				</conftype>
			</data>
			<group id="adresseCorrespondance" label="Adresse de correspondance">
				<if>Value('id').of($cadre8RensComp.adresseCorrespond).eq('autre')</if>
				<data id="nomPrenomDenominationCorrespondance" label="Nom et prénom ou dénomination sociale du destinataire :" type="String(max:100)" mandatory="true" />
				<data id="numeroRueAdresseCorrespondance" label="Numéro et libellé de voie :" mandatory="false" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)">
				</data>
				<data id="indiceVoieAdresseCorrespondance" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoieAdresseCorrespondance" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false" />
				<data id="nomVoieAdresseCorrespondance" label="Nom de la voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="rueComplementAdresseCorrespondance" label="Complément d'adresse :" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="distriutionSpecialeVoieAdresseCorrespondance" label="Distribution spéciale :" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)" mandatory="false">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="formaliteCorrespondanceAdresseCodePostal" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" mandatory="true" trigger="navigation.refresh('_page.cadre8RensComp.adresseCorrespondance.formaliteCorrespondanceAdresseCommune')">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="formaliteCorrespondanceAdresseCommune" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.formaliteCorrespondanceAdresseCodePostal}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
			</group>
			<group id="infosSup" label="Informations de contact">
				<data id="formaliteTelephone1" label="Téléphone fixe :" type="Phone" mandatory="false">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de téléphone fixe.</help>
				</data>
				<data id="formaliteTelephone2" label="Téléphone mobile :" type="Phone">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de téléphone mobile.</help>
				</data>
				<data id="formaliteCourriel" label="Courriel :" type="Email" mandatory="false">
					<help>Il convient de renseigner une adresse électronique valide.</help>
				</data>
				<data id="telecopie" label="Télécopie (si courriel inexistant) :" type="Phone" mandatory="false">
					<help>Il convient de sélectionner le pays d'attribution du numéro et de renseigner le numéro de fax.</help>
					<if>not $cadre8RensComp.infosSup.formaliteCourriel</if>
				</data>
			</group>
		</group>
	</group>
    <group id="cadre9SignatureGroup" label="Signature">
		<group id="cadre9Signature" label="Signature">
	        <data id="soussigne" label="Signataire de la déclaration :" type="Radios(inline:true)">
				<conftype>
					<referential>
						<text id="FormaliteSignataireQualiteDeclarant" >Le déclarant</text>
						<text id="FormaliteSignataireQualiteMandataire" >Le mandataire ayant procuration</text>
					</referential>
				</conftype>
			</data>
			<group id="adresseMandataire" label="Coordonnées du mandataire">
				<if>Value('id').of($cadre9Signature.soussigne).eq('FormaliteSignataireQualiteMandataire')</if>
				<data id="nomPrenomDenominationMandataire" label="Nom et prénom du mandataire ou dénomination sociale :" type="String(max:100)" />
				<data id="numeroVoieMandataire" label="Numéro de voie :" type="String(max:9,pattern:&quot;^[0-9à\\-\\']{0,9}$&quot;)" mandatory="false" />
				<data id="indiceVoieMandataire" label="Indice de répétition :" type="ComboBox(ref:'indice')" mandatory="false" />
				<data id="typeVoieMandataire" label="Type de voie :" type="ComboBox(ref:'type')" mandatory="false" />
				<data id="nomVoieMandataire" label="Nom de le voie :" type="String(max:32,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)" />
				<data id="voieComplementMandataire" label="Complément d'adresse :" mandatory="false" type="String(max:38,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,38}$&quot;)">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : lieu-dit, bâtiment, escalier, étage, appartement, etc. Attention, certains caractères spéciaux ne sont pas acceptés tel que le "°".</help>
				</data>
				<data id="voieDistributionSpecialeMandataire" label="Distribution spéciale :" mandatory="false" type="String(max:8,pattern:&quot;^[0-9a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{0,8}$&quot;)">
					<help>Il convient d'indiquer ici tout complément d'adresse permettant de l'identifier tels que : BP, CS, DS, etc.</help>
				</data>
				<data id="codePostalMandataire" label="Code postal :" type="String(max:5,pattern:'^[0-9|A|B]{5}$')" mandatory="true" trigger="navigation.refresh('_page.cadre9Signature.adresseMandataire.villeAdresseMandataire')">
					<help>Il convient d'indiquer ici le code postal de la localité.</help>
				</data>
				<data id="villeAdresseMandataire" label="Commune :" type="ComboBoxSelectExternal" mandatory="true">
					<conftype>
						<referential>
							<external>
								<url>${application.public.url}/api/directory/v2/ref/list/zipcode?maxResults=999&amp;orders=label:asc&amp;filters=details.codepostal:{{_group.codePostalMandataire}}</url>
								<base>content</base>
								<id>{{entityId}}</id>
								<label>{{{label}}}</label>
							</external>
						</referential>
					</conftype>
				</data>
			</group>
			<data id="formaliteSignatureLieu" label="Fait à :" type="String(max:32,pattern:&quot;^[a-zA-Zàáâãäåçèéêëìíîïðòóôõöùúûüýÿjé\\s\\-\\']{1,32}$&quot;)"/>
			<data id="formaliteSignatureDate" label="Le :" type="DatePast"/>
		</group>
    </group>  
</form>